#!/bin/sh

BM_MAIN_DIR="/usr/share/osso-bookmarks/"

OLD_BOOKMARKS_DIR="${BM_MAIN_DIR}/bookmarks/"
OLD_FAVICONS_DIR="${BM_MAIN_DIR}/favicons/"
NEW_BOOKMARKS_DIR="${HOME}/.bookmarks/"
NEW_FAVICONS_DIR="${NEW_BOOKMARKS_DIR}/favicons/"

if [ ! $1 ]
then
  echo "File was not given"
  exit 0
fi

if [ ! -e $1 ]
then
  echo "Given argument '$1' didn't point to an existing file"
  exit 0
fi

if  [ ! -d $NEW_BOOKMARKS_DIR ]
then
  mkdir -p $NEW_BOOKMARKS_DIR
fi

if cat $1 | grep $BM_MAIN_DIR >/dev/null
then
  echo "Found the file '$BM_MAIN_DIR' in restored files (listed)"

  if [ -d $OLD_BOOKMARKS_DIR ]
  then
	cp -f $OLD_BOOKMARKS_DIR/*.xml $NEW_BOOKMARKS_DIR
   else
	 echo "The '$OLD_BOOKMARKS_DIR/' itself didn't exists"
   fi

   if [ -d  $OLD_FAVICONS_DIR ]
   then
	mkdir -p $NEW_FAVICONS_DIR 
	cp -f $OLD_FAVICONS_DIR/* $NEW_FAVICONS_DIR
   else
	 echo "The '$OLD_FAVICONS_DIR' itself didn't exists"
   fi
   sudo clean-bookmarks.sh
else
  echo "Didn't find the file '$BM_MAIN_DIR' in restored files"
fi

exit 0
